# coding=utf-8

import django_filters

from apps.customer.models import Customer


class CustomerFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name='user__name', lookup_expr='icontains')
    tel = django_filters.CharFilter(field_name='user__tel', lookup_expr='icontains')

    class Meta:
        model = Customer
        fields = '__all__'
